ehowton (ehowton) wrote,
ehowton
ehowton

Lock Upgrade to a Specific Kernel


To "lock" packages, use zypper "add lock"
zypper al 'kernel*'

Now you can run zypper -n update -t patch && zypper update -t patch
or
zypper up/zypper migration
All the while locking the kernel-level. You can verify lock with "list lock"
zypper ll 'kernel*'

# | Name | Type | Repository
--+---------+---------+-----------
1 | kernel* | package | (any)


Similarly "remove lock"
zypper rl 'kernel*'


When updating/migrating will likely get a list of applicable kernel combinations:
Solution 4: Following actions will be done:
  remove lock to allow installation of kernel-default-4.12.14-95.65.1.x86_64[SMT-http_smt:SLE-12-SP4-SAP-Updates]
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-736-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-1596-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-1891-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-2422-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-434-1.noarch
 Solution 5: Following actions will be done:
  remove lock to allow installation of kernel-default-4.12.14-95.68.1.x86_64[SMT-http_smt:SLE-12-SP4-SAP-Updates]
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-1596-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-1891-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-2422-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-736-1.noarch
 Solution 6: Following actions will be done:
  remove lock to allow installation of kernel-default-4.12.14-95.71.1.x86_64[SMT-http_smt:SLE-12-SP4-SAP-Updates]
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-1891-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-2422-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-1596-1.noarch
 Solution 7: Following actions will be done:
  remove lock to allow installation of kernel-default-4.12.14-95.74.1.x86_64[SMT-http_smt:SLE-12-SP4-SAP-Updates]
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-2422-1.noarch
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-1891-1.noarch
 Solution 8: Following actions will be done:
  remove lock to allow installation of kernel-default-4.12.14-95.77.1.x86_64[SMT-http_smt:SLE-12-SP4-SAP-Updates]
  do not install patch:SUSE-SLE-SAP-12-SP4-2021-2422-1.noarch
 Solution 9: Following actions will be done:
  remove lock to allow removal of kernel-default-4.12.14-95.45.1.x86_64
  deinstallation of kernel-default-4.12.14-95.45.1.x86_64
 Solution 10: remove lock to allow installation of kernel-default-4.12.14-95.80.1.x86_64[SMT-http_smt:SLE-12-SP4-SAP-Updates]

Choose from above solutions by number or skip, retry or cancel [1/2/3/4/5/6/7/8/9/10/s/r/c] (c): c
Tags: linux
Subscribe

  • "migrate" to SLES4SAP from SLES

    # rpm -Uhv migrate-sles-to-sles4sap-12.1-3.1.noarch.rpm # rpm -Uhv migrate-sles-to-sles4sap-12.2-8.1.noarch.rpm # rpm -Uhv…

  • Veritas Disk Firmware Check and Upgrade

    Matt's vm firmware upgrade: grab file systems to that will be upgraded. # df -h | grep vx | awk '{print $6}' | grep -v vx > list grab vxdg that…

  • Portal Device: No license to run

    IF THIS: UX:vxfs mount.vxfs: ERROR: V-3-22168: Cannot open portal device: No such file or directory UX:vxfs mount.vxfs: ERROR: V-3-25255:…

  • Post a new comment

    Error

    default userpic

    Your IP address will be recorded 

    When you submit the form an invisible reCAPTCHA check will be performed.
    You must follow the Privacy Policy and Google Terms of use.
  • 0 comments